Bug 201498 - Review Request: xdrawchem - 2D chemical structures drawing tool
Summary: Review Request: xdrawchem - 2D chemical structures drawing tool
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-08-06 12:37 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2013-02-14 22:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 00:12:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2006-08-06 12:37:03 UTC
Spec URL: http://rpm.greysector.net/extras/xdrawchem.spec
SRPM URL: http://rpm.greysector.net/extras/xdrawchem-1.9.9-1.src.rpm
Description:

XDrawChem is a two-dimensional molecule drawing program for Unix
operating systems.  It is similar in functionality to other molecule
drawing programs such as ChemDraw (TM, CambridgeSoft).  It can read
and write MDL Molfiles and CML files to allow sharing between
XDrawChem and other chemistry applications.

Depends on openbabel, which is under review (#201485).

Comment 1 Paul F. Johnson 2006-08-06 23:59:23 UTC
Looking at the spec file...

Why not just claim %{_datadir}/xchemdraw/ and be done with it?

Comment 3 Paul F. Johnson 2006-08-09 21:24:09 UTC
Good : 

rpmlint clean
no dupes
no directory ownership problems
no missing requires
has documentation
software works
no missing BRs
no incorrect permissions

APPROVED

Comment 4 Dominik 'Rathann' Mierzejewski 2006-08-10 00:12:50 UTC
Imported (and added dist tag), devel build successful, FC-4 and FC-5 braches
requested.

Comment 5 Dominik 'Rathann' Mierzejewski 2013-02-14 22:02:42 UTC
Package Change Request
======================
Package Name: xdrawchem
New Branches: el6
Owners: rathann

I'd like to maintain the EPEL-6 branch of this package as well.

Comment 6 Gwyn Ciesla 2013-02-14 22:14:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.